Community
cancel
Showing results for 
Search instead for 
Did you mean: 
machala
Beginner
218 Views

openvino python version conflict

Hi, need help to fix the following error. 

In the installation guide for windows10 (https://docs.openvinotoolkit.org/2020.1/_docs_install_guides_installing_openvino_windows.html), it recommended to install Python 3.6.5 64-bit as one the dependencies.  However, in the Overview of Inference Engine Python* API (https://docs.openvinotoolkit.org/latest/_inference_engine_ie_bridges_python_docs_api_overview.html), it showed that all three versions of python (3.5, 3.6, 3.7) are compatible.  I initially used python 3.6.5 and everything worked, but then I decided to upgrade my python to 3.7. 

Now when I run the demo files within the "\openvino\deployment_tools\demo\" folder, I got an error ('pip3' is not recognized as an internal or external command, operable program or batch file.  Error).  I haven't found a way to fix this.  Python was installed via anaconda3.  pip is found in "\anaconda3\Scripts" folder and adding \anaconda3\Scripts\pip to the path for the system variable didn't solve the problem.

Thanks in advance for your help.

0 Kudos
2 Replies
Iffa_Intel
Moderator
218 Views

Greetings,

Please Note that\:

1. https://docs.openvinotoolkit.org/latest/_inference_engine_ie_bridges_python_docs_api_overview.html ; is actually mentioning the compatible verson of python for particular OS, for instance, Windows support 3.5,.3.6,3.7.  Those OSs are supported to run Inference Engine Python* API . 

2. https://docs.openvinotoolkit.org/2020.1/_docs_install_guides_installing_openvino_windows.html  is mentioning the version of Python of that particular Openvino version is supported. For instance Openvino 2020.1 support Python 3.6.5 while running on Windows OS. This means, even Windows support Python 3.5,3.6 and 3.7, ONLY 3.6.5 can be used to run Openvino 2020.1

3. For pip3 problem, you need to install pip3 in your anaconda--- python -m pip3 install

then, check your pip3 version, pip3 --version

If pip3 is successfully installed you should get the version

Note that pip3 works with python 3.

 

Hope my answer helps!

Sincerely,

Iffa

Iffa_Intel
Moderator
218 Views

Hi,

Im closing this case. If there are any other inquiries please help to create a new thread.

Thanks & have a great day ahead!.

Sincerely,

Iffa

Reply